Your message dated Thu, 13 Feb 2014 03:20:28 +0000
with message-id <e1wdmqi-0000jn...@franck.debian.org>
and subject line Bug#735652: fixed in geos 3.4.2-1.1
has caused the Debian Bug report #735652,
regarding geos: ruby1.8 won't be available on Jessie
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
735652: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=735652
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: geos
Severity: serious
User: debian-r...@lists.debian.org
Usertags: ruby18-removal

Dear maintainer,

geos produces one or more binary packages that depends on ruby1.8, or
it uses ruby1.8 to build. ruby1.8 is unmaintainable at this point,
and we can't keep it for Jessie. We plan to request its removal in 4
weeks.

Recommendations for some common cases:

If your package contains Ruby programs that are hardcoded to use
ruby1.8, you need to port those to a more recent version. Please use
/usr/bin/ruby instead. Please do not change to /usr/bin/ruby1.9.1 

If your package calls `ruby1.8` during build, please make it call
`ruby` instead. If your scripts don't work with a newer Ruby, you
need to port them. Please do not change `ruby1.8` to `ruby1.9.1` as
it will require more work later when we want to get rid of ruby1.9.1
(and we will).

If your packages builds binary extensions for ruby1.8, you need to
remove those. Please consider building binary extensions for all
supported Ruby versions. You can get a list of supported Ruby
versions at runtime by build-depending on gem2deb and running

$ dh_ruby --print-supported

I'm flagging this bug as release critical, since it's impossible to
have ruby1.8 in the next release.

If you need advice on the best way to handle your package, please
feel free to get in touch with debian-r...@lists.debian.org 

--- End Message ---
--- Begin Message ---
Source: geos
Source-Version: 3.4.2-1.1

We believe that the bug you reported is fixed in the latest version of
geos, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 735...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Hofstaedtler <z...@debian.org> (supplier of updated geos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 13 Feb 2014 02:29:40 +0100
Source: geos
Binary: libgeos-dev libgeos++-dev libgeos-c1 libgeos-3.4.2 libgeos-doc 
libgeos-ruby1.8 libgeos-dbg
Architecture: source all amd64
Version: 3.4.2-1.1
Distribution: unstable
Urgency: medium
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Christian Hofstaedtler <z...@debian.org>
Description: 
 libgeos++-dev - Geometry engine for GIS - C++ development files
 libgeos-3.4.2 - Geometry engine for Geographic Information Systems - C++ 
Library
 libgeos-c1 - Geometry engine for Geographic Information Systems - C Library
 libgeos-dbg - Debugging symbols for the GEOS library
 libgeos-dev - Geometry engine for GIS - Development files
 libgeos-doc - Documentation for the GEOS GIS geometry engine library
 libgeos-ruby1.8 - GEOS bindings for Ruby
Closes: 735652
Changes: 
 geos (3.4.2-1.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Build for current Ruby version. (Closes: #735652)
Checksums-Sha1: 
 445fa3ab717c633fcadbd25becce4ef71489cead 2200 geos_3.4.2-1.1.dsc
 fd87e2dddd79e1cda93fd1dba9e07a37d34dbd0f 10952 geos_3.4.2-1.1.debian.tar.xz
 1b99390f1dab3944da18972106b312be4bdc0c73 1000872 libgeos-doc_3.4.2-1.1_all.deb
 e730f451233d64932f1603e1c9f2a837b68dc93a 184388 libgeos-dev_3.4.2-1.1_amd64.deb
 1cfbef1994b65c0eb8b2e5b9ec1083a3759a643b 906246 
libgeos++-dev_3.4.2-1.1_amd64.deb
 d229a1908ba2c7ae25e41a6e11de976415a464c9 169078 libgeos-c1_3.4.2-1.1_amd64.deb
 c1802a2f11a5dcce9e5c66d7e092ec269b8e6f8d 543208 
libgeos-3.4.2_3.4.2-1.1_amd64.deb
 e50284133e71edd4a9fd14e129460facfe1417ad 159412 
libgeos-ruby1.8_3.4.2-1.1_amd64.deb
 9116a0922f47b79221894c141e74bc78fb6000b7 4613512 
libgeos-dbg_3.4.2-1.1_amd64.deb
Checksums-Sha256: 
 4439a137a560cd42d4b98f1037f8d5936e063c96fe6a77759ec2227b471bb3ca 2200 
geos_3.4.2-1.1.dsc
 40bc06d09dc7b36cb8bbfad1fb8b01349fb88a4eb18766abc05b3cc286034fd4 10952 
geos_3.4.2-1.1.debian.tar.xz
 65c9000da236593aaba65abd35cf009646c09403f2a63120af92a1007fa0db0e 1000872 
libgeos-doc_3.4.2-1.1_all.deb
 b8cc8c8eed79733943986b8e150dea615d2d646786fa9e9057a3d57cd7bdc0e8 184388 
libgeos-dev_3.4.2-1.1_amd64.deb
 9ae0fac5a5130c62f71288292b30294932614916b40e8cdd1223a60fd0658026 906246 
libgeos++-dev_3.4.2-1.1_amd64.deb
 a2289194efbc6a9a037813805fc4eba2013cd50c89807f2e77fee457f4d89c6c 169078 
libgeos-c1_3.4.2-1.1_amd64.deb
 7f36c2544d1c435eb0d38fb6c3666ac68cfa5c892adbfd077e3d834446eadf6f 543208 
libgeos-3.4.2_3.4.2-1.1_amd64.deb
 125b67d5f5b6e9bb17515bd3d9017cf44809e454655311aba697e6e4c7e95e0e 159412 
libgeos-ruby1.8_3.4.2-1.1_amd64.deb
 9ef79c1bbb9f99434b7151c3c1eb1510eecc82ec84a99f373b3d9d3839e8b5d1 4613512 
libgeos-dbg_3.4.2-1.1_amd64.deb
Files: 
 40277da09208a770ab7f0c16b88a0a68 2200 science optional geos_3.4.2-1.1.dsc
 236b8e1c7f4b02ce179df4f09056d1bd 10952 science optional 
geos_3.4.2-1.1.debian.tar.xz
 fbdfe85068d597a41c861cccc525bb8a 1000872 doc optional 
libgeos-doc_3.4.2-1.1_all.deb
 4dd59c302514fc19fc0de3b63c628230 184388 libdevel optional 
libgeos-dev_3.4.2-1.1_amd64.deb
 1074ed6c3503216b8fb84b69dd0a3636 906246 libdevel optional 
libgeos++-dev_3.4.2-1.1_amd64.deb
 6386412c049a96ff4072483851ca9939 169078 libs optional 
libgeos-c1_3.4.2-1.1_amd64.deb
 0167533e92f6990e92a856e8ed81b894 543208 libs optional 
libgeos-3.4.2_3.4.2-1.1_amd64.deb
 a3c5060680347ebbeabfbf232155486f 159412 ruby optional 
libgeos-ruby1.8_3.4.2-1.1_amd64.deb
 2aa4d8598bd672362b642d12e3649312 4613512 debug extra 
libgeos-dbg_3.4.2-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS/Cp1AAoJEFwT1tuTBS4DdoIP+wUNH8T8UC5bjoPLa8B4zbu0
WX+//PzJQyBbP+cHPAUq78zlcvN80r5GNIP0pP3c5OxXwN/ZK9JK3LDM9pnq+5Xm
Rdn+ParUuX/HO1XuCKWZMm6fgbt2W09TPKOVTH0AmLkkPaFQ93qkCEeUUcMxlXaH
2xskAeidqnOnERrgCE+QYYqJzG2VW7tRyZ6KnXtfo+s+1qpY9GIGF1kKvQMiTQso
3BQGnAbNUcNxApY2G12t4zTgpJ5T7AfCk70LOkXLOR6qeRu5guFg0wBdqaj8wqV2
cyRhSQkB+KUc3ggn8PAkmAZFVtCzdQS7AjQjkyVcEgKRUZO2hYUrJPo/jSt701i7
peFzT3Qqt1RdCMDhbIk4pNkc92/0tfUcD4Xrnc1KGWS/nkvzKEMltkHfrV2J7Sut
Jslt9KK84ulsj9u0bUsIN2bdwwNjlcu+jC1OaIV6UMOF0VAnnwnQ08gvAysOyh1m
VvSpi4QWj3aG3Q3mHTo8ZvgRlHApPn2YRJIBMgUiqM73DHBk/rnmYAMC/+mbF5xe
PRLo4SpGBYZ9YuQGnfwCaD9W1Z0H/qz1LNMZF5KcnhHRr16JGbL7mcsU4DfZr5Ek
xExZ64KAp4/DuGGrpiPmwXUBxVKM8c0vHaltwWYDyeVNQTCE26QTz44ebmYPtbge
OkAVVzOrxYcPu2xnRUbQ
=ix8y
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to